Part Zerschneiden

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Slice and the translation is 68% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский

Part Slice.svg Part Zerschneiden

Menüeintrag
Part → Trennen → Zerschneiden
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
Part Boolesche Bruchstücke, Part XOR, Part Grundelemente verbinden, Part Boolesche

Beschreibung

Das Part Slice.svg Part zerschneiden auch bekannt als Schnitt zu Verbund Werkzeug wird verwendet, um Formen durch Überschneidung mit anderen Formen zu teilen. Zum Beispiel wird für einen Kasten und eine Ebene ein Verbund aus zwei Körpern erzeugt.

Part Slice Demo.png

Oben: die Stücke wurden anschließend manuell auseinander bewegt, um das Zerschneiden deutlich zu machen

Es gibt zwei Befehle, um eine Form zu zerschneiden: Part SliceApart.svgAuseinander Zerschneiden und Part Slice.svg Zu Verbund zerschneiden. Beide erzeugen ein parametrisches 'zerschnittenes' Formelement, das die zerschnittenen Teile in einen Verbund legt. Jedoch Part SliceApart.svg Auseinander Zerschneiden explodiert den resultierenden Verbund in separate Objekte. "Zerschneiden zum Verbund" ist voll parametrisch und verursacht keine Probleme, wenn sich die Anzahl der Teile ändert. "Auseinander zerschneiden" aktualisiert die Anzahl der Objekte nicht, wenn sich die Anzahl der Teile ändert.

Die Ausgabeform nimmt den gleichen Raum ein wie das Original. Sie wird jedoch dort getrennt, wo sie sich mit anderen Formen überschneidet. Die getrennten Teile werden in einen Verbund (oder BildeVolumenkörper) gesetzt, so dass das Objekt in einem Stück zu bleiben scheint. Du musst den Verbund sprengen, um die einzelnen Teile zu erhalten. Wenn du auf die einzelnen Teile parametrisch zugreifen möchtest, kannst du zu diesem Zweck Part CompoundFilter.svg Part VerbundFilter verwenden. Für schnellen nichtparametrischen Zugriff verwende Draft Downgrade.svg Entwurf herabstufen.

Das Werkzeug hat drei Modi: "Standard", "Geteilt" und "BildeVolumenkörper". Es gibt kein Auswahlformular, sie sind vordefiniert, können aber nach der Operation auf der Ebene der sich ergebenden Scheiben abgerufen werden.

"Standard" und "Geteilt" unterscheiden sich durch die Wirkung des Werkzeugs auf Drähte, Schalen und ZusammengesetzteVolumenkörper: Bei "Geteilt" werden diese getrennt; bei "Standard", werden sie zusammengehalten (zusätzliche Abschnitte entstehen).

Die Verbundstruktur in den "Standard" und "Geteilt" Modi folgt der Verbundstruktur der zu kappenden Form.

Im "Volumenkörperverbund" Modus ist das Ergebnis ein zusammengesetzterVolumenkörper (oder ein Verbund von zusammengesetztenVolumenkörpern wenn die resultierenden Festkörper mehr als eine Insel der Verbundenheit bilden). Volumenkörperverbund ist ein Satz von Körpern; Sie sind mit Festkörpern verwandt, so wie Drähte mit Kanten und Schalen mit Flächen verwandt sind; der Name ist wahrscheinlich ein verkürzter Ausdruck von "Zusammengesetzter Volumenkörper".

Die Gesamtwirkung des Werkzeugs ist der von Part BooleanFragments.svg Boolesche Bruchstücke sehr ähnlich, außer dass nur die Teile aus der ersten Form im Ergebnis enthalten sind.

Anwendung

  1. Wähle zuerst das zu zerschneidende Objekt und dann einige Objekte, die damit zerschnitten werden sollen.
    Die Reihenfolge der Auswahl ist wichtig. Verbünde mit Selbstüberschneidungen sind nicht zulässig (Selbstüberschneidungen können sich manchmal durch das hindurchgehen des Verbunds durch

Part BooleanFragments.svgBoolescheBruchstücke) erklären lassen

  1. Rufe den Part Zerschneiden Befehl auf mehrere Arten auf:
    • Drücke die Part Slice.svg Part Zerschneiden Schaltfläche in der Part Werkzeugleiste
    • Verwende den Part → Aufteilen → Zerschneiden Eintrag im Part Menü
  1. Hinweis: Die zu zerschneidenden Objekte müssen das zu schneidende Objekt vollständig trennen. Daher kann ein Würfel nicht durch einen Draht geschnitten werden, sondern z.B. durch eine von einem extrudierten Draht abgeleitete Ebene.

Ein parametrisches Scheibenobjekt wird erzeugt. Die Originalobjekte werden ausgeblendet, und das Ergebnis der Überschneidung wird in der 3D Ansicht angezeigt.

Baumstruktur der Scheiben

Der Zerschneidebefehl erzeugt ein in Scheiben geschnittenes Objekt. Im folgenden Beispiel wird ein Würfel durch eine Fläche zerschnitten.

Die Scheibe wird erzeugt, und jedes Stück davon wird in einem Verbund vereint.

Part SliceTree.png

Eigenschaften

Scheiben

  • Daten-EigenschaftBasis: Zu zerschneidendes Objekt.
  • Daten-EigenschaftWerkzeuge: Liste der damit zu schneidenden Objekte. (bis v0.17.8053 wird diese Eigenschaft nicht im Eigenschaftseditor angezeigt und kann nur über Python abgerufen werden).
  • Daten-EigenschaftModus: "Standard", "Geteilt" oder "ZusammengesetzterVolumenkörper". "Zerschnitten" ist Vorgabe. Standard und Geteilt unterscheiden sich durch die Wirkung des Werkzeugs auf Formen des Gruppierungsstyps: Wenn Geteilt, werden diese getrennt, andernfalls werden sie zusammengehalten (erhalten zusätzlicher Abschnitte).
  • Daten-EigenschaftToleranz:"Unschärfe" Wert. Dies ist eine zusätzliche Toleranz, die bei der Suche nach Schnittpunkten angewendet wird, zusätzlich zu den in den Eingabeformen gespeicherten Toleranzen.

Hinweisː Eigenschaften sind auf dem inneren Objekt der Scheiben zugänglich, nicht auf der Ergebnisebene.

Beispiel

Puzzle erstellen

  1. Wechsle zum Skizzierer Arbeitsbereich, erstelle eine neue Skizze. Zeichne ein Rechteck, das die Gesamtform des Puzzles darstellt. Schließe die Skizze.
    Slice example step1.png
  2. Wechsle zum Part Arbeitsbereich. Wähle die Skizze aus und wähle Formteil → Erstelle Fläche aus Skizze (im Menü).
    Slice example step2.png
  3. Wechsle zum Skizzierer Arbeitsbereich, erstelle eine neue Skizze auf derselben Ebene. Zeichne mit dem Polylinien Werkzeug die Linien, welche das Puzzle in Stücke aufteilen sollen.
    Slice example step3.png
  4. Wechsle zum Part Arbeitsbereich. Wähle die Aufteilungsskizze aus und wende Part Boolesche Bruchstücke an. Dadurch werden Knoten eingefügt, an denen sich die Linien der Aufteilungsskizze kreuzen. Sie zu haben ist wesentlich für den nächsten Arbeitsschritt.
    Slice example step4.png
  5. Wähle die rechteckige Fläche und alle Boolesche Bruchstücke der Aufteilungsskizze aus und wende Part kappen an.
    Slice example step5.png
  6. Verwende Part SprengeVerbund auf der gekappten Fläche, um den von Part Kappen hergestellten Verbund in einzelne Stücke zu zerlegen.

Hinweis:' Die Schritte 5 und 6 können mit einem einzigen Klick mit Part SliceApart.svg Part Auseinander kappen durchgeführt werden.

Hinweise

  • Das Werkzeug wurde in FreeCAD v0.17.8053 eingeführt. FreeCAD muss mit OCC 6.9.0 oder höher kompiliert werden; andernfalls ist das Werkzeug nicht verfügbar.
  • ̈Eigenschaften sind auf dem inneren Objekt des Scheiben zugänglich, nicht auf der Ergebnisebene.
  • Die Objekte, mit denen zerteilt werden sollen, müssen das zu zerteilende Objekt vollständig trennen. So kann z. B. ein Würfel nicht durch einen Draht zerteilt werden, sondern durch eine Ebene, die von einem extrudierten Draht abgeleitet ist.
  • Zerteilungsobjekt muss BOP Prüfung bestehen. Siehe Part CheckGeometry.svg Part CheckGeometry.

Skripten

Das Werkzeug kann in Makros ebenso wie aus der Python Konsole heraus durch folgende Funktion angesprochen werden:

BOPTools.SplitFeatures.makeSlice(name)
  • Erstellt eine leeres Kapp Grundelement. Die 'Basis' und 'Werkzeug' Eigenschaften müssen anschließend explizit zugewiesen werden.
  • Gibt das neu erstellte Objekt zurück.

Kappen kann auch auf einfache Formen angewendet werden, ohne dass ein Dokumentobjekt erforderlich ist, über:

BOPTools.SplitAPI.slice(base_shape, tool_shapes, mode, tolerance = 0.0)

Dies kann nützlich sein, um benutzerdefinierte Python Skriptfunktionen zu erstellen.


Beispiel:

import BOPTools.SplitFeatures
j = BOPTools.SplitFeatures.makeSlice(name= 'Slice')
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tools = FreeCADGui.Selection.getSelection()[1:]

Das Werkzeug selbst ist in Python implementiert, siehe /Mod/Part/BOPTools/SplitFeatures.py (GitHub link) innerhalb des FreeCAD Installationsverzeichnisses.


Tutorien